#!/usr/bin/python -u
# vi: sts=4 et sw=4
#
# This example is a simple "echo" bot
#
# After connecting to a jabber server it will echo messages, and accept any
# presence subscriptions. This bot has basic Disco support (implemented in
# pyxmpp.jabber.client.Client class) and jabber:iq:vesion.

from pyxmpp.all import JID

import echoservice
from zsixmpp.container import XMPPContainer

import sys
import logging

# PyXMPP uses `logging` module for its debug output
# applications should set it up as needed
logger=logging.getLogger()
logger.addHandler(logging.StreamHandler())
logger.setLevel(logging.DEBUG) # change to DEBUG for higher verbosity

if len(sys.argv)<3:
    print u"Usage:"
    print "\t%s JID password" % (sys.argv[0],)
    print "example:"
    print "\t%s test@localhost verysecret" % (sys.argv[0],)
    sys.exit(1)

print u"creating client..."


sv = XMPPContainer(jid = sys.argv[1], password = sys.argv[2], service = echoservice.EchoImpl())
sv.serve()
